lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Cao Manh Dat (JIRA)" <j...@apache.org>
Subject [jira] [Comment Edited] (SOLR-12641) Http2SolrClient should be able to connect to old Solr nodes.
Date Mon, 03 Sep 2018 11:24:00 GMT

    [ https://issues.apache.org/jira/browse/SOLR-12641?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16602046#comment-16602046
] 

Cao Manh Dat edited comment on SOLR-12641 at 9/3/18 11:23 AM:
--------------------------------------------------------------

 The first solution is
 * Using HTTP/1.1 as default for {{Http2SolrClient}} in Solr 8.0, therefore nodes will communicate
with others using HTTP/1.1 (note that servers still accept both HTTP/1.1 and HTTP/2 connections)
 * Do rolling updates 
 * When all nodes are in version 8.0, restart nodes with enabling HTTP/2 flag for {{Http2SolrClient}},
therefore nodes will communicate with others using HTTP/2 from thereafter.

What do you guys think [~elyograg], [~steve_rowe], [~shalinmangar]


was (Author: caomanhdat):
 

One possible strategy here is
 * Using HTTP/1.1 as default for {{Http2SolrClient}} in Solr 8.0
 * Do rolling updates 
 * When all nodes are in version 8.0, restart nodes with enabling HTTP/2 flag for {{Http2SolrClient}}

What do you guys think [~elyograg], [~steve_rowe], [~shalinmangar]

> Http2SolrClient should be able to connect to old Solr nodes.
> ------------------------------------------------------------
>
>                 Key: SOLR-12641
>                 URL: https://issues.apache.org/jira/browse/SOLR-12641
>             Project: Solr
>          Issue Type: Improvement
>      Security Level: Public(Default Security Level. Issues are Public) 
>            Reporter: Cao Manh Dat
>            Priority: Major
>
> Right now, Http2SolrClient can't connect to old Solr nodes, this seems an issue of Jetty
HTTP client (https://github.com/eclipse/jetty.project/issues/1308). To support rolling updates,
this problem must be solved.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@lucene.apache.org
For additional commands, e-mail: dev-help@lucene.apache.org


Mime
View raw message